Subject: Re: bug#72814: 31.0.50; Add a variable controlling doxygen support in C/C++/Java?

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Sep 2024 11:31:56 +0300

> From: Yuan Fu <[email-masked]>
> Date: Thu, 12 Sep 2024 00:51:20 -0700
> Cc: Vincenzo Pupillo <[email-masked]>,
>  Bug Report Emacs <[email-masked]>,
>  [email-masked]
> 
> 
> 
> > On Sep 11, 2024, at 5:05 AM, Eli Zaretskii <[email-masked]> wrote:
> > 
> >> From: Vincenzo Pupillo <[email-masked]>
> >> Cc: Bug Report Emacs <[email-masked]>, [email-masked]
> >> Date: Wed, 11 Sep 2024 11:40:17 +0200
> >> 
> >>> Thanks for taking this up! I won’t signal a warning if doxygen grammar isn’t found. Imagine a user without doxygen grammar, and din’t change c-ts-mode-enable-doxygen: they’ll get a warning whenever they open a C file. 
> >>> We should either set c-ts-mode-enable-doxygen to nil by default, or not warn when doxygen grammar doesn’t exist. Otherwise, the patch looks good to me.
> >> 
> >> Okay, fine. But Eli said something different...
> > 
> > Not necessarily.  All I said was "issue a user-friendly diagnostic".
> > We could output the message into *Messages*, and do it only once per
> > Emacs session.
> 
> Another idea: use tertiary value for c-ts-mode-enable-doxygen, t for enable (and issue warning if doxygen isn’t present), nil for enable if doxygen exists but don’t issue any warning, ‘disabled for disable. (I don’t think there’s a convention for the three values of tertiary toggle, is that right Eli?)

That could also be OK, but I prefer something that does TRT by
default.